# Uses of Class
org.bukkit.Note

Packages that use Note
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.block
`Events` relating to when a `block` is changed or interacts with the `world`.

## Uses of Note in org.bukkit

Methods in org.bukkit that return Note
Modifier and Type
Method
Description
`static @NotNull Note`
Note.`flat(int octave, @NotNull Note.Tone tone)`
Creates a new note for a flat tone, such as A-flat.
`@NotNull Note`
Note.`flattened()`
`static @NotNull Note`
Note.`natural(int octave, @NotNull Note.Tone tone)`
Creates a new note for a natural tone, such as A-natural.
`static @NotNull Note`
Note.`sharp(int octave, @NotNull Note.Tone tone)`
Creates a new note for a sharp tone, such as A-sharp.
`@NotNull Note`
Note.`sharped()`

## Uses of Note in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return Note
Modifier and Type
Method
Description
`@NotNull Note`
NoteBlock.`getNote()`
Gets the value of the 'note' property.
Methods in org.bukkit.block.data.type with parameters of type Note
Modifier and Type
Method
Description
`void`
NoteBlock.`setNote(@NotNull Note note)`
Sets the value of the 'note' property.

## Uses of Note in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type Note
Modifier and Type
Method
Description
`void`
Player.`playNote(@NotNull Location loc, @NotNull Instrument instrument, @NotNull Note note)`
Play a note for a player at a location.

## Uses of Note in org.bukkit.event.block

Methods in org.bukkit.event.block that return Note
Modifier and Type
Method
Description
`@NotNull Note`
NotePlayEvent.`getNote()`
Gets the `Note` to be played.
Methods in org.bukkit.event.block with parameters of type Note
Modifier and Type
Method
Description
`void`
NotePlayEvent.`setNote(@NotNull Note note)`
Overrides the `Note` to be played.
Constructors in org.bukkit.event.block with parameters of type Note
Modifier
Constructor
Description
``
`NotePlayEvent(@NotNull Block block, @NotNull Instrument instrument, @NotNull Note note)`